Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define __cmake_in_source_build 1
Name:           bifcl
Version:        1.2
Release:        alt1_4
Summary:        A built-in-function (BIF) compiler/generator

License:        BSD
URL:            https://github.com/zeek/bifcl
Source0:        https://www.zeek.org/downloads/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  ctest cmake
BuildRequires:  flex
BuildRequires:  gcc-c++
Source44: import.info

%description
The bifcl program simply takes a .bif file as input and generates C++
header/source files along with a .bro script that all-together provide the 
declaration and implementation of Bro/Zeek built-in-functions (BIFs), which
can then be compiled and shipped ss part of a Bro/Zeek plugin.

A BIF allows one to write arbitrary C++ code and access it via a function
call inside a Bro script. In this way, they can also be used to access parts
of Bro/Zeek's internal C++ API that aren't already exposed via their own BIFs.

At the moment, learning the format of a .bif file is likely easiest by just
taking a look at the .bif files inside the Bro/Zeek source-tree.

%prep
%setup -q


%build
mkdir build
cd build
%{fedora_v2_cmake} \
    -DCMAKE_SKIP_RPATH:BOOL=ON \
    ..
%make_build

%install
%makeinstall_std

%files
%doc README CHANGES
%doc --no-dereference COPYING
%{_bindir}/%{name}

%changelog
* Sun Nov 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_4
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_1
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_2
- new version

